%define luaver  5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%define oname   luasec

Name:           lua-sec
Version:        0.6
Release:        %mkrel 3
Summary:        OpenSSL binding for LuaSocket
Group:          Development/Other
License:        MIT
URL:            https://github.com/brunoos/luasec/wiki
Source0:        https://github.com/brunoos/luasec/archive/%{oname}-%{version}.tar.gz
Patch0:		22e6652d8826abe5015231c9856a64416b657e03.patch
Patch1:		53db804b9d56a029b7afea4ba74f8eb23b3e8e47.patch
Patch2:		80a527d630f8479110a9615ca5d56ed2f975fed5.patch
Patch3:		4889830d53c19e915959eb778e25bb303b9d3cf0.patch
Patch4:		4aa9ec3b602bff0f0d017c9f4c820f8e27fc651d.patch
BuildRequires:  pkgconfig(lua) >= %{luaver}
BuildRequires:  pkgconfig(openssl)
Requires:       lua >= %{luaver}
Requires:       lua-socket

%description
LuaSec is a binding for OpenSSL library to provide TLS/SSL communication. 
This version delegates to LuaSocket the TCP connection establishment 
between the client and server. Then LuaSec uses this connection to start 
a secure TLS/SSL session.

%prep
%setup -q -n %{oname}-%{oname}-%{version}
%autopatch -p 1

%build
%make_build linux LNX_CFLAGS="%{optflags} -fPIC -I. -I/usr/include -DWITH_LUASOCKET"

%install
%make_install \
    LUACPATH=%{lualibdir} \
    LUAPATH=%{luapkgdir}

%files
%doc CHANGELOG samples/*
%{lualibdir}/ssl.so
%{luapkgdir}/ssl*




%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.6-3.mga8
+ Revision: 1514944
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6-2.mga7
+ Revision: 1299376
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 guillomovitch <guillomovitch> 0.6-1.mga7
+ Revision: 1151897
- new version 0.6
- fix build with openssl 1.1
- enforce distribution compilation flags

* Wed Mar 02 2016 umeabot <umeabot> 0.5-5.mga6
+ Revision: 983644
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 936629
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 747976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-2.mga5
+ Revision: 682030
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 0.5-1.mga5
+ Revision: 661534
- Version 0.5
- Build for Lua 5.2

* Fri Oct 18 2013 umeabot <umeabot> 0.4-6.mga4
+ Revision: 507598
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-5.mga3
+ Revision: 359070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4-4.mga1
+ Revision: 85954
- Clean spec (tabs, one BR per line)
- imported package lua-sec


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdv2011.0
+ Revision: 612781
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.4-2mdv2010.1
+ Revision: 536627
- link against lua 5.1

* Tue Feb 02 2010 Rémy Clouard <shikamaru@mandriva.org> 0.4-1mdv2010.1
+ Revision: 499821
- update to 0.4

* Fri May 01 2009 Michael Scherer <misc@mandriva.org> 0.3.1-1mdv2010.0
+ Revision: 369964
- add BuildRequires
- import lua-sec


